Author Topic: WB-Portable-2.12.2.php73.zip : Fake :D  (Read 171 times)

Offline evaki

  • Posts: 2786
WB-Portable-2.12.2.php73.zip : Fake :D
« on: September 15, 2019, 02:28:42 PM »
Die angegebenen portable Version beinhaltet php v7.2.19
Zu beachten ist auch curl by crnogorac081 (Development 2.10.x)
 
0
cURL is NOT installed on this server

MfG. Evaki

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4379
  • Gender: Male
    • Webdesign und Entwicklung WebsiteBaker
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #1 on: September 15, 2019, 07:40:14 PM »
Die angegebenen portable Version beinhaltet php v7.2.19
Zu beachten ist auch curl by crnogorac081 (Development 2.10.x)
 
0
cURL is NOT installed on this server

MfG. Evaki

Jau, php version steht aber dabei, hatte keinen Trieb mehr die Zip datei umzubennen.
Quote
    WB-Portable-2.12.2.php73 - (with PHP 7.2.19)

Problem, nach dem Funktionsupdate windows 10 auf build 1903 läuft der usbserver nicht mehr mit php größer 7.2.x. Leider noch keine andere Lösung gefunden

Dietmar
Immer nur von der Zukunft reden, die Gegenwart vergessen und auf die Vergangenheit schimpfen
Neues Unwort: Schnappatmung

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #2 on: September 15, 2019, 10:46:42 PM »
Sehr interessant.
Auf meinem Arbeitsrechner - Win7prof_x64 - klappt's auch nicht.
Unter php (7.2.0) als embedded Server wird Curl erkannt. Wer schmeißt denn mal den Debugger an  :-D ?
MfG. Evaki

ps. USB-Server
Code: [Select]
PHP Warning:  PHP Startup: Unable to load dynamic library 'php_curl.dll' (tried: S:/WB-Portable-2.12.2.php73/php/ext/php_curl.dll (Das angegebene Modul wurde nicht gefunden.), S:/WB-Portable-2.12.2.php73/php/ext/php_php_curl.dll.dll (Das angegebene Modul wurde nicht gefunden.)) in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'php_mysql.dll' (tried: S:/WB-Portable-2.12.2.php73/php/ext/php_mysql.dll (Das angegebene Modul wurde nicht gefunden.), S:/WB-Portable-2.12.2.php73/php/ext/php_php_mysql.dll.dll (Das angegebene Modul wurde nicht gefunden.)) in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'php_openssl.dll' (tried: S:/WB-Portable-2.12.2.php73/php/ext/php_openssl.dll (Das angegebene Modul wurde nicht gefunden.), S:/WB-Portable-2.12.2.php73/php/ext/php_php_openssl.dll.dll (Das angegebene Modul wurde nicht gefunden.)) in Unknown on line 0
PHP Warning:  PHP Startup: Unable to load dynamic library 'php_pgsql.dll' (tried: S:/WB-Portable-2.12.2.php73/php/ext/php_pgsql.dll (Das Betriebssystem kann %1 nicht ausf\xef\xbf\xbdhren.), S:/WB-Portable-2.12.2.php73/php/ext/php_php_pgsql.dll.dll (Das angegebene Modul wurde nicht gefunden.)) in Unknown on line 0
PHP Deprecated:  Directive 'track_errors' is deprecated in Unknown on line 0
« Last Edit: September 15, 2019, 11:04:03 PM by evaki »

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #3 on: September 15, 2019, 11:28:27 PM »
Schlaues Kerlchen.
Der angegebene log ist der Apache error.log (hier S:\WB-Portable-2.12.2.php73\apache2\logs\error.log). Könntest php per CLI (embedded) laufen lassen, und auf Extensions testen, also Apache außen vorlassen
MfG. Evaki

Offline crnogorac081

  • Posts: 1913
  • Gender: Male
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #4 on: September 16, 2019, 01:02:59 AM »
So how to enable curl ?
no bb in signature

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #5 on: September 16, 2019, 01:50:32 AM »
We have to look for the error first.

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #6 on: September 16, 2019, 03:02:28 AM »
@Luisehahne
Mit php v7.1.2.0 funktioniert's - bei mir
Mit php v7.1.19 funktioniert's nicht - bei mir
Könnte als Hinweis schon mal nützlich sein.
Vielleicht kannst Du's ja mal überprüfen.

So, mein Nachtdienst ist um 4 vorbei, also noch'n Stündchen.
MfG. Evaki
« Last Edit: September 16, 2019, 03:07:35 AM by evaki »

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #7 on: September 16, 2019, 11:56:30 AM »
Evaki "Mit php v7.1.19 funktioniert's nicht - bei mir"
Soll: "Mit php v7.2.19 funktioniert's nicht - bei mir"

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #8 on: September 16, 2019, 03:22:38 PM »
Im Zuge dieser "Beleuchtung" gab es in meiner Testumgebung - nicht im USB-Server - ein php-upgrade auf v7.3.9, wo nach wie vor auch CURL funktioniert.

Dieses Upgrade im USB-Server hat das gleiche Ergebnis wie gehabt, nämlich "Geht nicht".
Meine erste Einschätzung ist, daß der "proprietäre Kram" beim USB-Server das ordentliche Funktionieren möglicherweise unmöglich macht. Werde mich aber darauf nicht festlegen lassen.

Wie gesagt, beim embedded PHP-Server 7.3.9 funktioniert alles wie gehabt.
Wenn's anderswo und anderswie nicht funktioniert, liegt es jedenfalls nicht am PHP-Interpreter.

MfG. Evaki

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #9 on: September 16, 2019, 05:31:33 PM »
Habe soeben mal eine alte UAMP-Version (3.02) herausgekramt, php 7.3.9 zu den schon vorhandenen zwei Versionen installiert - einfach: Verzeichnis hinzu und der Konfigurator meldet sich von alleene. Funktioniert!
Irgendwann kann ja wer einen eigenen Konfigurator schreiben. dann wäre das auch für allemal erledigt. Es geht auch einfachst mit ner Batch, aber das mag ja niemand, weil ohne KlickiBunti, BrummBrumm und TüütTüüt.
MfG. Evaki
« Last Edit: September 16, 2019, 05:39:14 PM by evaki »

Offline dbs

  • Betatester
  • **
  • Posts: 8075
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #10 on: September 16, 2019, 06:06:38 PM »
Leider ist der UwAmp nicht einfach genug für den Normaluser. Ich verwende ihn seit Jahren und brauch nichts anderes (aktuell über 40 WB-Installationen da drin)."Dein" embedded ist auch nichts für den Normalo oder den, der was zum Mitnehmen braucht. Hab den jedenfalls noch nie getestet. Vielleicht auch, weil keine DAU-sichere Anleitung dabei war.
So richtig wichtig ist der Portable aber nicht wegen dem PHP7.3. Auf dem späteren Livesystem gibt’s evtl. nicht mal 7.3.Mann kann doch gut unter 7.2 entwickeln und wenn man glaubt fertig zu sein wechselt man auf eine Sub-Domain der Live Seite.Erst dann weiß man wirklich was passiert, wenn man umschaltet, weil gleiche Serverumgebung.

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #11 on: September 16, 2019, 06:50:36 PM »
Quote
Leider ist der UwAmp nicht einfach genug für den Normaluser.
Da verschlägt's mir immer wieder glatt die Sprache, wenn Leute beim Hoster auf'm Server "rummarmeln", und dann nicht einmal in der Lage sind, den eigenen PC (z.B. Batch) zu bedienen.
Das wußte man zu PC-Anfangszeiten einfach, wie anderes auch zu den Grundkenntnissen zählte.

Aber nun nochmal zum eigentlichen Anliegen. 
Der ursprüngliche Anlaß war die Meldung von "crnogorac081", der Curl vermißte.
Hoffe nun, daß er es mit UwAmp schafft.

Könnte das aktuell funktionierende UwAmp-Paket, das mit php7.3.9 bestückt ist, "irgendwo" hinpacken - wo is Platz?
Wenn wer's auch hat, hoch damit -nur wohin?
Oder Dev macht'n Paket  :-D :-D :-D

Mehr kann ich auch nicht tun.
MfG. Evaki

ps. www . uwamp.com/en/

« Last Edit: September 16, 2019, 06:56:09 PM by evaki »

Offline dbs

  • Betatester
  • **
  • Posts: 8075
  • Gender: Male
  • tioz4ever
    • WebsiteBaker - jQuery-Plugins - Module - Droplets - Tests
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #12 on: September 16, 2019, 06:56:14 PM »
Wäre es nicht besser zu beschreiben wo es die PHP Version gibt und wo man sie dann hinschieben muss? Mehr ist es ja nicht.So in der Art Fischen beibringen statt Fische zu schenken.

Offline evaki

  • Posts: 2786
Re: WB-Portable-2.12.2.php73.zip : Fake :D
« Reply #13 on: September 16, 2019, 07:02:23 PM »
Ich versuche es in der Kürze, da ich das nicht gesammelt habe.
PHP für Windows - bei mir x86 - auspacken, und zwar exakt unter Verzeichnis "php-7.3.9" (Harddisk :\UwAmp\bin\php\php-7.3.9)
Dort liegen auch "php-5.4.31" und "php-5.5.15"
In das Verzeichnis Harddisk :\UwAmp\bin\php\php-7.3.9 wird nun die Anlage php.ini aus php.ini.zip kopiert.

Den Server starten und gucken was kommt - ja, da kann einiges kommen, wenn der eigene PC im LAN hinter Personal-FW agiert. Bei mir meldete sich der Konfig-Manager, um die neue PHP-Version einzubinden.

Du hältst bestimmt noch bessere Erklärungen bereit- ich hab das Ding erst am Nachmittag auf dem Tisch bekommen  :?

MfG. Evaki

« Last Edit: September 16, 2019, 07:12:45 PM by evaki »